CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2017-12337

A vulnerability in the upgrade mechanism of Cisco collaboration products based on the Cisco Voice Operating System software platform could allow an unauthenticated, remote attacker to gain unauthorized, elevated access to an affected device. The vulnerability occurs when a refresh upgrade (RU) or Prime Collaboration Deployment (PCD) migration is performed on an affected device. When a refresh upgrade or PCD migration is completed successfully, an engineering flag remains enabled and could allow root access to the device with a known password. If the vulnerable device is subsequently upgraded using the standard upgrade method to an Engineering Special Release, service update, or a new major release of the affected product, this vulnerability is remediated by that action. Note: Engineering Special Releases that are installed as COP files, as opposed to the standard upgrade method, do not remediate this vulnerability. An attacker who can access an affected device over SFTP while it is in a vulnerable state could gain root access to the device. This access could allow the attacker to compromise the affected system completely. Cisco Bug IDs: CSCvg22923, CSCvg55112, CSCvg55128, CSCvg55145, CSCvg58619, CSCvg64453, CSCvg64456, CSCvg64464, CSCvg64475, CSCvg68797.
Publish Date : 2017-11-16 Last Update Date : 2019-10-09
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
10.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 287

- Products Affected By CVE-2017-12337

# Product Type Vendor Product Version Update Edition Language
1 Application Cisco Emergency Responder - Version Details Vulnerabilities
2 Application Cisco Finesse - Version Details Vulnerabilities
3 Application Cisco Hosted Collaboration Solution - Version Details Vulnerabilities
4 Application Cisco Mediasense - Version Details Vulnerabilities
5 Application Cisco Prime License Manager - Version Details Vulnerabilities
6 Application Cisco Socialminer - Version Details Vulnerabilities
7 Application Cisco Unified Communications Manager - Version Details Vulnerabilities
8 Application Cisco Unified Communications Manager - ~~session Management~~~ Version Details Vulnerabilities
9 Application Cisco Unified Communications Manager Im And Presence Service - Version Details Vulnerabilities
10 Application Cisco Unified Contact Center Express - Version Details Vulnerabilities
11 OS Cisco Unified Intelligence Center - Version Details Vulnerabilities
12 Application Cisco Unity Connection - Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Cisco Emergency Responder 1
Cisco Finesse 1
Cisco Hosted Collaboration Solution 1
Cisco Mediasense 1
Cisco Prime License Manager 1
Cisco Socialminer 1
Cisco Unified Communications Manager 2
Cisco Unified Communications Manager Im And Presence Service 1
Cisco Unified Contact Center Express 1
Cisco Unified Intelligence Center 1
Cisco Unity Connection 1

- References For CVE-2017-12337

http://www.securitytracker.com/id/1039819
SECTRACK 1039819
http://www.securitytracker.com/id/1039820
SECTRACK 1039820
https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20171115-vos CONFIRM
http://www.securitytracker.com/id/1039818
SECTRACK 1039818
http://www.securitytracker.com/id/1039817
SECTRACK 1039817
http://www.securitytracker.com/id/1039816
SECTRACK 1039816
http://www.securitytracker.com/id/1039815
SECTRACK 1039815
http://www.securitytracker.com/id/1039814
SECTRACK 1039814
http://www.securityfocus.com/bid/101865
BID 101865 Cisco Voice OS CVE-2017-12337 Unauthorized Access Vulnerability Release Date:2017-11-27
http://www.securitytracker.com/id/1039813
SECTRACK 1039813

- Metasploit Modules Related To CVE-2017-12337

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.